---
proxies:
  username:
    redefine: true
    mandatory: false

  password:
    redefine: true
    hidden:
      type: jinja
      jinja: |
        {% if not _.username %}
        no username defined
        {% endif %}
      description: if username is not defined
